# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test-Distribution
Version:	2.00
Release:	22.%{__distinit}%{__distvers}
Summary:	Perform tests on all modules of a distribution
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Test-Distribution/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SR/SRSHAH/Test-Distribution-%{version}.tar.gz
Patch0:		Test-Distribution-2.00-utf8.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl
BuildRequires:	perl(Module::Build)
# Module Runtime
BuildRequires:	perl(ExtUtils::Manifest)
BuildRequires:	perl(File::Find::Rule) >= 0.03
BuildRequires:	perl(Module::CoreList) >= 1.93
BuildRequires:	perl(Module::Signature)
BuildRequires:	perl(Pod::Coverage) >= 0.17
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 0.95
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Test Suite
# (no additional dependencies)
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(File::Find::Rule) >= 0.03
Requires:	perl(Module::CoreList) >= 1.93
Requires:	perl(Module::Signature)
Requires:	perl(Pod::Coverage) >= 0.17
Requires:	perl(Test::Pod) >= 0.95
Requires:	perl(Test::Pod::Coverage)

%description
When using this module in a test script, it goes through all the modules in
your distribution, checks their POD, checks that they compile OK and checks
that they all define a $VERSION.

%prep
%setup -q -n Test-Distribution-%{version}

# Fix character encoding of documentation
%patch0

%build
perl Build.PL --installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} %{buildroot}

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%doc Changes.pod README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Distribution.3*

%changelog
* Fri Sep 30 2016 Paul Howarth <paul@city-fan.org> - 2.00-22
- Classify buildreqs by usage

* Sun Aug 31 2014 Paul Howarth <paul@city-fan.org> - 2.00-18
- Drop %%defattr, redundant since rpm 4.4

* Sat Jun 30 2012 Paul Howarth <paul@city-fan.org> - 2.00-12
- Perl 5.16 rebuild

* Sat Mar 10 2012 Paul Howarth <paul@city-fan.org> - 2.00-11
- BR: perl(ExtUtils::Manifest) and perl(Test::More)
- Don't need to remove empty directories from buildroot
- Use a patch rather than scripted iconv to fix character encoding
- Drop support for distributions prior to FC-3:
  - Don't need to run tests with LC_ALL=C
  - Don't need to define %%{perl_vendorlib}

* Tue Jul  5 2011 Paul Howarth <paul@city-fan.org> - 2.00-9
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 2.00-7
- Rebuild for perl 5.12.1 in Rawhide

* Tue May 18 2010 Paul Howarth <paul@city-fan.org> - 2.00-6
- Fix dist tag for RHEL-6 Beta

* Wed Mar  3 2010 Paul Howarth <paul@city-fan.org> - 2.00-5
- Dist tag for Rawhide no longer needs special-casing

* Wed Sep 30 2009 Paul Howarth <paul@city-fan.org> - 2.00-4
- Define RPM macros in global scope

* Thu Oct 30 2008 Paul Howarth <paul@city-fan.org> - 2.00-3
- Import from Fedora
- No signature test, so Module::Signature not needed as buildreq
- Recode README and Changes.pod as UTF8
- Run tests in "C" locale to avoid Module::Build's inability to find perl
  in the test suite on older distributions

* Sun Oct 26 2008 Chris Weyl <cweyl@alumni.drew.edu> - 2.00-2
- Changes -> Changes.pod in doc

* Sun Oct 26 2008 Chris Weyl <cweyl@alumni.drew.edu> - 2.00-1
- Update to 2.00

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.26-5
- Rebuild for new perl

* Sat Mar 10 2007 Chris Weyl <cweyl@alumni.drew.edu> - 1.26-4
- Don't mess with debuginfo, just disable it
- Appease Module::Signature/gpg

* Thu Mar 01 2007 Chris Weyl <cweyl@alumni.drew.edu> - 1.26-3
- Cause rm to not fail on non-existance of debug*list in %%check

* Wed Dec 06 2006 Chris Weyl <cweyl@alumni.drew.edu> - 1.26-2
- Bump

* Wed Dec 06 2006 Chris Weyl <cweyl@alumni.drew.edu> - 1.26-1
- Specfile autogenerated by cpanspec 1.69.1
